iT邦幫忙

0

當我在安裝虛擬光碟的軟體(例如Alcohol52%,DAEMON Tools Lite)的時候都會發生錯誤

wumic 2009-09-09 09:26:0816086 瀏覽

當我在安裝虛擬光碟的軟體(例如Alcohol52%,DAEMON Tools Lite)的時候都會發生錯誤,
錯誤的訊息是:Unable to add adapter.Device problem 12.ACPI function in the BIOS must not be turned off.
我該怎麼辦呢?謝謝!!

2 個回答

14
賽門
iT邦超人 1 級 ‧ 2009-09-09 10:45:06
最佳解答

安裝虛擬光碟時, 會在Windows中安裝虛擬光碟驅動程式, 這個驅動程式多半會去看有沒有ACPI驅動存在, 有興趣可以到http://www.acpi.info/看看ACPI的功能.
但在BIOS中啟用ACPI後, 還需要安裝主機板的驅動程式才行, 否則還是會偵測不到完整的ACPI支援而法順利安裝虛擬光碟.

wumic iT邦新手 4 級 ‧ 2009-09-09 11:08:20 檢舉

上網查了很多...我想是HP Z400的問題吧!!找不到答案囉!!

14
外獅佬
iT邦大師 1 級 ‧ 2009-09-09 10:08:42

根據那個錯誤訊息....請把BIOS裡頭的ACPI選項打開應該就可以了。

看更多先前的回應...收起先前的回應...
wumic iT邦新手 4 級 ‧ 2009-09-09 10:46:09 檢舉

請問一下是哪個ACPI的選項呢??
謝謝!!

外獅佬 iT邦大師 1 級 ‧ 2009-09-09 12:06:53 檢舉

ACPI應該是放在電源選項那一頁,版大要自己找一下下...

tom6507 iT邦大師 1 級 ‧ 2009-09-09 14:00:03 檢舉

看主機板的說明書比較快

wumic iT邦新手 4 級 ‧ 2009-09-11 13:25:39 檢舉

謝謝!!

chiahang iT邦新手 5 級 ‧ 2010-07-22 00:15:35 檢舉

山不轉路轉,換套虛擬光碟軟體先解解燃眉之急,
我試過Virtual CloneDrive這套免費軟體,可用!
缺點是支援的映像檔格式比較少,但常用的有...
http://www.slysoft.com/en/virtual-clonedrive.html

Features
Supports all common image formats such as ISO, BIN, CCD
Supports up to 8 virtual drives at the same time
Easy to use - just double-click an image file to mount as a drive
Virtual CloneDrive is freeware, you may use it at no cost.
System Requirements
An IBM-compatible personal computer with a minimum 500 MHz Pentium-class microprocessor (1 GHz recommended) and 128 MB RAM (256 MB recommended)
Windows 98, Windows ME, Windows 2000, Windows XP, Windows Vista or Windows 7 (32 or 64 bit)
If you use Windows 2000 or Windows XP you must be an administrator to install Virtual CloneDrive

我遇到狀況和這位大哥相同,
在X201的BIOS找不到ACPI的選項
上網查了後久,有人分享如下
"http://ieon.pixnet.net/blog/post/27608085-%e5%ae%89%e8%a3%9d-daemon-tools-lite-%e9%81%87%e5%88%b0-unable-to-add-adapter-%e5%95%8f%e9%a1%8c"
我的作業系統是 Windows 7, 在灌完 daemon-tools lite 例行上都會希望你重開機
不過就在重開機第一次進行 initial virtual device 時
突然就跳出一個 "unable to add adapter" 的問題,

google 了一下, 很多都是請你開 regedit 改一堆有的沒的權限
或是乾脆叫你換 "Virtual CloneDrive"
後來找到一個解法, 就是去更新 "SPTD", 雖然我不知道這個作用是啥 XD

預設 daemon-tools lite 會幫你裝的版本是 1.62,
不過可以到 http://www.duplexsecure.com/en/downloads 下載最新版的
先移除掉原本安裝的 daemon-tools, 然後安裝最新版的 SPTD,
再安裝 daemon-tools lite (因為裡面 SPTD 版本較舊, 不會蓋過目前系統上的)
重開機後, 就可以正常 initial virtual device 出來了

按上面的操作,下載安裝"SPTDinst-v180-x86.exe"
重新啟動後,開"Alcohol120%"的虛擬光碟就神奇的可以用了,沒有再出現錯誤,分享給您

我要發表回答

立即登入回答